Geonix

Download proxies

GEThttps://geonix.com/personal/api/v1/{apiKey}/proxy/download/{type}

This endpoint provides a streamlined solution for exporting and downloading your proxy credentials, including login, password, IP, port, and protocol information. It allows you to specify a proxy type and choose from txt, csv, or a custom format for the download, facilitating effortless access and integration of your proxy data into various applications or for archival purposes.

Headers

Name

Value

Accept

*/*

Path parameters

Name

Type

Description

apiKey*

string

API key to authorize requests

type*

string

Available values : ipv4, ipv6, mobile, isp, resident

Query parameters

Name

Type

Description

ext

string

File type: [txt/csv] or custom format [%login%:%password%@%ip%:%port%]. For mobile proxies, an additional parameter [%rotation_link%] is available.

listId

integer

Proxy list id (only for resident, if not set - will return ip from all sheets)

proto

string

Available values : HTTPS, SOCKS5

Request examples

curl -X GET "https://geonix.com/personal/api/v1/YOUR_API_KEY_HERE/proxy/download/ipv4" -o proxies_ipv4.csv
<?php
$apiKey = 'YOUR_API_KEY_HERE'; // Replace this with your actual API key
$url = "https://geonix.com/personal/api/v1/$apiKey/proxy/download/ipv4";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$result = curl_exec($ch);
curl_close($ch);

// Save the result to a file
file_put_contents('proxies_ipv4.csv', $result);
?>
import java.io.BufferedInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.URL;

public class DownloadProxyListExample {
    public static void main(String[] args) {
        String apiKey = "YOUR_API_KEY_HERE"; // Replace with your actual API key
        String urlString = "https://geonix.com/personal/api/v1/" + apiKey + "/proxy/download/ipv4";
        try (BufferedInputStream in = new BufferedInputStream(new URL(urlString).openStream());
             FileOutputStream fileOutputStream = new FileOutputStream("proxies_ipv4.csv")) {
            byte dataBuffer[] = new byte[1024];
            int bytesRead;
            while ((bytesRead = in.read(dataBuffer, 0, 1024)) != -1) {
                fileOutputStream.write(dataBuffer, 0, bytesRead);
            }
        } catch (IOException e) {
            // Handle exceptions
            e.printStackTrace();
        }
    }
}

Response examples

IP 127.0.0.1:80; LOGIN: login | PASSWORD: password;
127.0.0.1:80 ; LOGIN: login | PASSWORD: password ;

On this page